Bug 238 - winbind not completely removed from /etc/rc*.d
winbind not completely removed from /etc/rc*.d
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Packaging
3.0.0preX
All Linux
: P2 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-17 20:32 UTC by Paul Eggleton
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Eggleton 2003-07-17 20:32:10 UTC
(This is actually a 3.0 beta 3 bug, but there is no option for this yet).

On Red Hat 9, removing the Samba RPM (built from the source RPM) does not 
completely remove winbind's service files, in particular /etc/rc?.d/*winbind. I 
think this may be due to the lack of a "chkconfig --del winbind" in the %preun 
section of the spec file (I see there is one for the smb service).
Comment 1 Gerald (Jerry) Carter 2003-07-24 20:26:17 UTC
fixed in 3.0 CVS
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:41:30 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:21 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:30:30 UTC
database cleanup